libpococrypto50_1.8.0.1-1ubuntu4_i386.deb


Advertisement

Description

libpococrypto50 - C++ Portable Components (POCO) Crypto library

Property Value
Distribution Ubuntu 18.04 (Bionic Beaver)
Repository Ubuntu Universe i386
Package name libpococrypto50
Package version 1.8.0.1
Package release 1ubuntu4
Package architecture i386
Package type deb
Installed size 239 B
Download size 69.73 KB
Official Mirror archive.ubuntu.com
The POCO C++ Libraries are a collection of open source C++ class libraries
that simplify and accelerate the development of network-centric, portable
applications in C++. The libraries integrate perfectly with the C++ Standard
Library and fill many of the functional gaps left open by it.
POCO is built strictly using standard ANSI/ISO C++, including the standard
library. The contributors attempt to find a good balance between using advanced
C++ features and keeping the classes comprehensible and the code clean,
consistent and easy to maintain.
This package provides the POCO Crypto library.

Alternatives

Package Version Architecture Repository
libpococrypto50_1.8.0.1-1ubuntu4_amd64.deb 1.8.0.1 amd64 Ubuntu Universe
libpococrypto50 - - -

Requires

Name Value
libc6 >= 2.4
libgcc1 >= 1:3.0
libpocofoundation50 -
libssl1.1 >= 1.1.0
libstdc++6 >= 5.2

Download

Type URL
Binary Package libpococrypto50_1.8.0.1-1ubuntu4_i386.deb
Source Package poco

Install Howto

  1. Update the package index:
    # sudo apt-get update
  2. Install libpococrypto50 deb package:
    # sudo apt-get install libpococrypto50

Files

Path
/usr/lib/libPocoCrypto.so.50
/usr/share/doc/libpococrypto50/changelog.Debian.gz
/usr/share/doc/libpococrypto50/copyright

Changelog

2018-02-10 - Steve Langasek <steve.langasek@ubuntu.com>
poco (1.8.0.1-1ubuntu4) bionic; urgency=medium
* Fix -dev package dep on mariadb as well, not just the build-dependency.
2018-02-10 - Steve Langasek <steve.langasek@ubuntu.com>
poco (1.8.0.1-1ubuntu3) bionic; urgency=medium
* Switch back to default-libmysqlclient-dev, since there are
reverse-dependencies that require it.
* debian/patches/MySQL-5.7-compatibility.patch: Find libmysqlclient
instead of the obsolete libmysqlclient_r.  Closes: #889625.
2018-02-05 - Dimitri John Ledkov <xnox@ubuntu.com>
poco (1.8.0.1-1ubuntu2) bionic; urgency=high
* No change rebuild against openssl1.1.
2018-02-05 - Steve Langasek <steve.langasek@ubuntu.com>
poco (1.8.0.1-1ubuntu1) bionic; urgency=medium
* Build-depend on libmariadbclient-dev-compat, not
default-libmysqlclient-dev, fixing a build failure.
2017-11-13 - Jochen Sprickerhof <jspricke@debian.org>
poco (1.8.0.1-1) unstable; urgency=medium
* New upstream version 1.8.0.1
2017-11-13 - Jochen Sprickerhof <jspricke@debian.org>
poco (1.8.0-2) unstable; urgency=medium
* Upload to unstable.
2017-11-11 - Jochen Sprickerhof <jspricke@debian.org>
poco (1.8.0-1) experimental; urgency=medium
* Include json parser again (license resolved upstream)
* New upstream version 1.8.0
* Update copyright
* Rebase patches
* Update package names due to Soname bump
* Add more failing tests
* Add JSON and Redis libraries (Closes: #856192)
2017-11-10 - Jochen Sprickerhof <jspricke@debian.org>
poco (1.7.9p2+dfsg1-2) unstable; urgency=medium
* Disable wonky tests (failed on s390x)
* Upload to unstable
2017-11-09 - Jochen Sprickerhof <jspricke@debian.org>
poco (1.7.9p2+dfsg1-1) experimental; urgency=medium
* Add more architecture fixes
* New upstream version 1.7.9p2+dfsg1
2017-11-08 - Jochen Sprickerhof <jspricke@debian.org>
poco (1.7.9p1+dfsg1-3) experimental; urgency=medium
* Fix typo in patch

See Also

Package Description
libpocodata50_1.8.0.1-1ubuntu4_i386.deb C++ Portable Components (POCO) Data library
libpocodatamysql50_1.8.0.1-1ubuntu4_i386.deb C++ Portable Components (POCO) Data MySQL library
libpocodataodbc50_1.8.0.1-1ubuntu4_i386.deb C++ Portable Components (POCO) ODBC library
libpocodatasqlite50_1.8.0.1-1ubuntu4_i386.deb C++ Portable Components (POCO) Data SQLite library
libpocofoundation50_1.8.0.1-1ubuntu4_i386.deb C++ Portable Components (POCO) Foundation library
libpocojson50_1.8.0.1-1ubuntu4_i386.deb C++ Portable Components (POCO) JSON library
libpocomongodb50_1.8.0.1-1ubuntu4_i386.deb C++ Portable Components (POCO) Data MongoDB library
libpoconet50_1.8.0.1-1ubuntu4_i386.deb C++ Portable Components (POCO) Network library
libpoconetssl50_1.8.0.1-1ubuntu4_i386.deb C++ Portable Components (POCO) Network library with SSL
libpocoredis50_1.8.0.1-1ubuntu4_i386.deb C++ Portable Components (POCO) Redis library
libpocoutil50_1.8.0.1-1ubuntu4_i386.deb C++ Portable Components (POCO) Util library
libpocoxml50_1.8.0.1-1ubuntu4_i386.deb C++ Portable Components (POCO) XML library
libpocozip50_1.8.0.1-1ubuntu4_i386.deb C++ Portable Components (POCO) Zip library
libpod-2-docbook-perl_0.03-3_all.deb module for converting Pod data to DocBook SGML
libpod-abstract-perl_0.20-1_all.deb abstract document tree for Perl POD documents
Advertisement
Advertisement